Subject: Re: bug#12820: gnulib testsuite failure in latest master

From: Stefano Lattarini <[email-masked]>
Date: Thu, 08 Nov 2012 10:02:24 +0100

On 11/08/2012 08:44 AM, Paul Eggert wrote:
> Ouch, I read your strace output incorrectly: it was napping
> for 20 ms, not 2 s.  Still, there should be no need to nap
> for that long; 1 ms should suffice on your platform.
> 
> I installed the following patch to cause the test
> to take shorter naps.  This might affect your original
> problem, and might not (hey! it's a timing problem)
> but at least it should make the test run faster.
> 
I'll re-run the affected test case as soon as coreutils updates
its version of gnulib then, and see what happens.

Thanks,
  Stefano